# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Zettlr"
HOMEPAGE="https://www.zettlr.com"
SRC_URI="https://github.com/Zettlr/Zettlr/releases/download/v${PV}/Zettlr-${PV}-amd64.deb"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

QA_PREBUILT="opt/Zettlr/libGLESv2.so
        opt/Zettlr/libEGL.so
        opt/Zettlr/libvk_swiftshader.so
        opt/Zettlr/zettlr
        opt/Zettlr/libffmpeg.so
        opt/Zettlr/swiftshader/libGLESv2.so
        opt/Zettlr/swiftshader/libEGL.so"


S="${WORKDIR}"

src_prepare() {
	default
	unpack ../work/data.tar.xz
}

src_install() {
	insinto /
	doins -r opt
	insinto /usr/share
	doins -r usr/share/applications
	doins -r usr/share/icons
	fperms +x /opt/Zettlr/chrome-sandbox /opt/Zettlr/zettlr
	fperms u+s /opt/Zettlr/chrome-sandbox
	pax-mark m opt/Zettlr/zettlr opt/Zettlr/chrome-sandbox

	dosym ../../opt/Zettlr/zettlr /usr/bin/zettlr
}

pkg_postinst() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}

pkg_postrm() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}
