# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Zotero"
HOMEPAGE="https://www.zotero.org"
SRC_URI="https://www.zotero.org/download/client/dl?channel=release&platform=linux-x86_64&version=${PV} -> ${P}.tar.bz2"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""
QA_PREBUILT="opt/Zotero/Zotero_linux-x86_64/libxul.so
        opt/Zotero/Zotero_linux-x86_64/libsoftokn3.so
        opt/Zotero/Zotero_linux-x86_64/libnspr4.so
        opt/Zotero/Zotero_linux-x86_64/liblgpllibs.so
        opt/Zotero/Zotero_linux-x86_64/libnssdbm3.so
        opt/Zotero/Zotero_linux-x86_64/zotero-bin
        opt/Zotero/Zotero_linux-x86_64/libssl3.so
        opt/Zotero/Zotero_linux-x86_64/plugin-container
        opt/Zotero/Zotero_linux-x86_64/libmozavcodec.so
        opt/Zotero/Zotero_linux-x86_64/minidump-analyzer
        opt/Zotero/Zotero_linux-x86_64/libmozgtk.so
        opt/Zotero/Zotero_linux-x86_64/libnssutil3.so
        opt/Zotero/Zotero_linux-x86_64/libplds4.so
        opt/Zotero/Zotero_linux-x86_64/libfreeblpriv3.so
        opt/Zotero/Zotero_linux-x86_64/libnssckbi.so
        opt/Zotero/Zotero_linux-x86_64/libplc4.so
        opt/Zotero/Zotero_linux-x86_64/libmozsandbox.so
        opt/Zotero/Zotero_linux-x86_64/updater
        opt/Zotero/Zotero_linux-x86_64/libmozsqlite3.so
        opt/Zotero/Zotero_linux-x86_64/libnss3.so
        opt/Zotero/Zotero_linux-x86_64/libmozavutil.so
        opt/Zotero/Zotero_linux-x86_64/libsmime3.so
        opt/Zotero/Zotero_linux-x86_64/gmp-clearkey/0.1/libclearkey.so
        opt/Zotero/Zotero_linux-x86_64/gtk2/libmozgtk.so"

S="${WORKDIR}"

src_prepare() {
	default
	sed -e 's|CALLDIR=.*|CALLDIR="/opt/Zotero"|' -i Zotero_linux-x86_64/zotero || die
	sed -e 's|Exec=.*|Exec=bash -c "/opt/Zotero/zotero -url %U"|' -i Zotero_linux-x86_64/zotero.desktop || die
}

src_install() {
	insinto /opt/Zotero
	doins -r Zotero_linux-x86_64/*

	insinto /usr/share/applications
	doins -r Zotero_linux-x86_64/zotero.desktop

	fperms +x /opt/Zotero/zotero
	fperms +x /opt/Zotero/zotero-bin
	fperms +x /opt/Zotero/pdfinfo
	fperms +x /opt/Zotero/pdftotext
	dosym ../../opt/Zotero/zotero /usr/bin/zotero
}

pkg_postinst() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}

pkg_postrm() {
	xdg_desktop_database_update
	xdg_icon_cache_update
}
